List Surveys
List surveys requested by the user.
List surveys requested by the user.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
Filters for surveys created by any of these users.
The cursor to resume iteration from. If not provided, then iteration starts from the beginning.
textThe maximum number of surveys to return. If not set, then the default is '50'.
int32The iteration mode to use, otherwise if not set, then "after" is used.
"after" | "before"Filters for surveys by name(s).
Fields to sort the surveys by and the direction to sort them.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/surveys.list"{
"next_cursor": "string",
"prev_cursor": "string",
"surveys": [
{
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"description": "string",
"header": "string",
"introductory_text": "string",
"name": "string",
"response_text": "string",
"schema": [
{
"field_type": "array",
"description": "string",
"is_filterable": true,
"is_immutable": true,
"is_pii": true,
"is_required": true,
"mfz": {},
"name": "string",
"oasis": {},
"origin": "string",
"ui": {
"client_overrides": [
{
"client_name": "string",
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_overrides": [
{
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_name": "string"
}
]
}
],
"create_view": {
"is_hidden": true
},
"decimal_places": 0,
"detail_view": {
"is_hidden": true
},
"display_name": "string",
"filter_view": {
"is_hidden": true
},
"group_name": "string",
"is_active_in_detail_view": true,
"is_bulk_action_enabled": true,
"is_currency_field": true,
"is_groupable": true,
"is_hidden": true,
"is_hidden_during_create": true,
"is_read_only": true,
"is_required": true,
"is_shown_in_summary": true,
"is_sortable": true,
"list_view": {
"is_hidden": true
},
"order": 0,
"placeholder": "string",
"search_query": "string",
"summary_view": {
"is_hidden": true
},
"tooltip": "string",
"unit": "string",
"use_shorthand_notation": true
},
"default_value": true
}
],
"schema_with_metadata": [
{
"field": {
"field_type": "array",
"description": "string",
"is_filterable": true,
"is_immutable": true,
"is_pii": true,
"is_required": true,
"mfz": {},
"name": "string",
"oasis": {},
"origin": "string",
"ui": {
"client_overrides": [
{
"client_name": "string",
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_overrides": [
{
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_name": "string"
}
]
}
],
"create_view": {
"is_hidden": true
},
"decimal_places": 0,
"detail_view": {
"is_hidden": true
},
"display_name": "string",
"filter_view": {
"is_hidden": true
},
"group_name": "string",
"is_active_in_detail_view": true,
"is_bulk_action_enabled": true,
"is_currency_field": true,
"is_groupable": true,
"is_hidden": true,
"is_hidden_during_create": true,
"is_read_only": true,
"is_required": true,
"is_shown_in_summary": true,
"is_sortable": true,
"list_view": {
"is_hidden": true
},
"order": 0,
"placeholder": "string",
"search_query": "string",
"summary_view": {
"is_hidden": true
},
"tooltip": "string",
"unit": "string",
"use_shorthand_notation": true
},
"default_value": true
},
"metadata": {},
"question": "string"
}
],
"title": "string"
}
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}